# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename js-base64

Name:               nodejs-js-base64
Version:            2.1.5
Release:            2%{?dist}
Summary:            Yet another Base64 transcoder in pure-JS

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/js-base64
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz

# The license file is put in place by Fedora and is not shipped by upstream.
# We understand the license is MIT from
#   https://github.com/dankogai/js-base64/issues/17
# We have asked for clarification here
#   https://github.com/dankogai/js-base64/issues/18
Source1:            LICENSE-MIT

BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6


%if 0%{?enable_tests}
BuildRequires:      npm(mocha)
%endif

%description
Yet another Base64 transcoder

%prep
%setup -q -n package

# Copy our Fedora-shipped license file in
cp -pr %{SOURCE1} .

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/js-base64
cp -pr package.json base64.js \
    %{buildroot}%{nodejs_sitelib}/js-base64

%nodejs_symlink_deps

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha
%endif

%files
# The license file is put in place by Fedora and is not shipped by upstream.
# We understand the license is MIT from
#   https://github.com/dankogai/js-base64/issues/17
# We have asked for clarification here
#   https://github.com/dankogai/js-base64/issues/18
%doc README.md LICENSE-MIT
%{nodejs_sitelib}/js-base64/

%changelog
* Tue Sep 02 2014 Ralph Bean <rbean@redhat.com> - 2.1.5-2
- Relicense to MIT
- Ship our own LICENSE-MIT file.

* Mon Aug 18 2014 Ralph Bean <rbean@redhat.com> - 2.1.5-1
- Initial packaging for Fedora.
